{ username, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    tor-browser
    firefox-esr
    (pkgs.makeDesktopItem {
      name = "org.mozilla.firefox-esr";
      desktopName = "Firefox ESR";
      exec = "firefox-esr %U";
      icon = "firefox-esr";
      comment = "Browse the Web";
      categories = [ "Network" "WebBrowser" ];
      startupNotify = true;
      mimeTypes = [
        "text/html"
        "text/xml"
        "application/xhtml+xml"
        "application/vnd.mozilla.xul+xml"
        "x-scheme-handler/http"
        "x-scheme-handler/https"
        "x-scheme-handler/ftp"
      ];
    })
  ];

  environment.persistence."/nix/persist" = {
    users."${username}".directories = [
      ".config/mozilla"
    ];
  };
}
